Display full version of the post: Acad lisp code plott more copys

georgino
06.11.2011, 17:08



Hi folks..

quastion:i need a command in lisp for more that one copy plot.have anywhere an idea?Thx georgino...Me lisp code: (print) ;************************************************* *********** (defun C:PL () (setvar "OSMODE" 1) (INITGET 1) (setq P1 (getpoint "\n Lower Left Endpoint: ")) (INITGET 1) (setq P2 (getpoint "\n Upper Right Endpoint: ")) (setvar "OSMODE" 0)************************************************ ************************************************** (setvar "cmdecho" 0) (command "-PLOT" "j" "" "Canon MP270 series Printer" "A4" "" "" "" "fe" P1 P2 "" "" "" "acad.ctb" "" "" "" "" "" "" "")(print "\nType Datei an den Plotter gesendet! :-)") ;************************************************* ************************************************** )   


georgino2011-11-06 19:03:04

georgino
11.11.2011, 19:11
I have creat this one:(print) ;************************************************* *********** (defun C:PL () (setvar "OSMODE" 1) (INITGET 1) (setq P1 (getpoint "\n Lower Left Endpoint: ")) (INITGET 1) (setq P2 (getpoint "\n Upper Right Endpoint: ")) (setvar "OSMODE" 0)************************************************ **************************************************(setvar "cmdecho" 0)(satq z (read))(while (not (zerop z)) ;************************************************* ************************************************** (setvar "cmdecho" 0) (command "-PLOT" "j" "" "Canon MP270 series Printer" "A4" "" "" "" "fe" P1 P2 "" "" "" "acad.ctb" "" "" "" "" "" "" "")(setq z(1- z)))   (print "\nType Datei an den Plotter gesendet! :-)") ;************************************************* ************************************************** )

Acad write: syntax error! Whats the problem?

John Connor
14.11.2011, 12:08
Why are you reinventing the wheel?  The Plot command has the option to input the number of copies that are to be plotted.